Bug 478870 - Adding recurring events to Sunbird with Google Provider fails
Adding recurring events to Sunbird with Google Provider fails
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: sunbird (Show other bugs)
10
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-05 14:08 EST by Christopher Tubbs
Modified: 2009-12-18 02:30 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:30:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Tubbs 2009-01-05 14:08:23 EST
Description of problem:
When saving a recurring events to a Google Calendar with Sunbird and the Provider for Google Calendar installed, the ending date is not saved correctly, and future dates of the event are therefore not saved.

Version-Release number of selected component (if applicable):
sunbird-0.9-3.fc10.x86_64
Provider for Google Calendar 0.5.1

How reproducible:
90%-100%

Steps to Reproduce:
1. Add recurring event with Google Provider installed.
2. Select ends on specific day. Select a date in the future.
3. Save the event to a Google Calendar
4. Navigate to all future dates where recurring event should occur, to verify.
  
Actual results:
Not all future dates are saved. When re-opening the event, it shows a different ending date than the one initially entered.

Expected results:
All future dates for recurring event should be saved.

Additional info:
Untested in i386
I have been unable to find a correlation between the end date that is chosen and the end date that ultimately gets saved. Problem seems to only occur on new events: editing existing events seems to work fine, so each time a new recurring event is added, it must be corrected and saved again.
Comment 1 Bug Zapper 2009-11-18 04:27:18 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 02:30:01 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.